package com.steering.pss.sale.order.qualityDesign.server.factory;

import com.steering.pss.sale.order.qualityDesign.server.iserver.*;
import com.steering.pss.sale.order.qualityDesign.server.imp.*;

public class FactoryServer {
	private static MscPhyImp mscPhyImp = new IMscPhy();

	/**
	 * 理化标准接口
	 * 
	 * @return MscPhyImp
	 */
	public static MscPhyImp getMscPhyImp() {
		return mscPhyImp;
	}

	private static MscSpecImp mscSpecImp = new IMscSpec();

	/**
	 * 公差标准接口
	 * 
	 * @return MscSpecImp
	 */
	public static MscSpecImp getMscSpecImp() {
		return mscSpecImp;
	}

	private static MscDeteImp mscDeteImp = new IMscDete();

	/**
	 * 探伤标准接口
	 * 
	 * @return MscDeteImp
	 */
	public static MscDeteImp getMscDeteImp() {
		return mscDeteImp;
	}

	private static MscWaterImp mscWaterImp = new IMscWater();

	/**
	 * 水压标准接口
	 * 
	 * @return
	 */
	public static MscWaterImp getMscWaterImp() {
		return mscWaterImp;
	}

	private static MscProcessingImp mscProcessingImp = new IMscProcessing();

	/**
	 * 加工标准接口
	 * 
	 * @return
	 */
	public static MscProcessingImp getMscProcessingImp() {
		return mscProcessingImp;
	}

	private static QualityPreImp qualityPre = new IQulityPre();

	/**
	 * 
	 * 
	 * @return 质量设计预处理接口
	 */
	public static QualityPreImp getQualityPreImp() {
		return qualityPre;
	}

	private static StatusImp iStatus = new IStatus();

	/**
	 * 
	 * 
	 * @return 初始状态 接口
	 */
	public static StatusImp getStatusImp() {
		return iStatus;
	}

	private static MscImp mscImp = new IMsc();

	/**
	 * 
	 * @return 验证MSC接口
	 */
	public static MscImp getMscImp() {
		return mscImp;
	}

	public static ProDucImp processImp = new ProDuc();

	/**
	 * 
	 * @return 验证制程接口
	 */
	public static ProDucImp getProcessImp() {
		return processImp;
	}

	private static GradeImp gradeImp = new IGrade();

	/**
	 * 
	 * @return 钢种 内控标准 镦拔扩等
	 */
	public static GradeImp getGradeImp() {
		return gradeImp;
	}

	private static CustSpecialAskImp custSpecialAskImp = new ICustSpecialAsk();

	/**
	 * 特殊要求
	 * 
	 * @return
	 */
	public static CustSpecialAskImp getCustSpecialAskImp() {
		return custSpecialAskImp;
	}

	private static SpecialMscImp specialMscImp = new ISpecialMsc();

	/**
	 * 特殊MSC
	 * 
	 * @return SpecialMscImp
	 */
	public static SpecialMscImp getSpecialMscImp() {
		return specialMscImp;
	}

	private static AddAskImp addAskImp = new IAddAsk();

	/**
	 * 合同附加要求
	 * 
	 * @return AddAskImp
	 */
	public static AddAskImp getAddAskImp() {
		return addAskImp;
	}

	private static MscJGImp mscjgImp = new IMscJG();

	/**
	 * 接箍码业务接口
	 * 
	 * @return MscJGImp
	 */
	public static MscJGImp getMscJGImp() {
		return mscjgImp;
	}

	private static MscBLImp mscBLImp = new IMscBL();

	/**
	 * 备料码业务接口
	 * 
	 * @return
	 */
	public static MscBLImp getMscBLImp() {
		return mscBLImp;
	}

	private static InnerStandardImp innerStandardImp = new IInneStandard();

	/**
	 * 内控标准接口
	 * 
	 * @return InnerStandardImp
	 */
	public static InnerStandardImp getInnerStandardImp() {
		return innerStandardImp;
	}

	private static ProCycleImp proCycleImp = new IProCycle();

	public static ProCycleImp getProCycleImp() {
		return proCycleImp;
	}

	private static CreateSpecLineImp specLineImp = new ICreateSpecLine();

	public static CreateSpecLineImp getCreateSpecLineImp() {
		return specLineImp;
	}

	private static SpecManageImp specManageImp = new ISpecManage();

	public static SpecManageImp getSpecManageImp() {
		return specManageImp;
	}

	private static ProLineManageImp proLineManageImp = new IProLineManage();

	public static ProLineManageImp getProLineManageImp() {
		return proLineManageImp;
	}

	private static DeptSelectImp deptSelectImp = new IDeptSelect();

	public static DeptSelectImp getDeptSelectImp() {
		return deptSelectImp;
	}

	private static LengthCalculateImp lengthCalculateImp = new ILengthCalculate();

	public static LengthCalculateImp getLengthCalculateImp() {
		return lengthCalculateImp;
	}

	private static BLQualityPreImp bLQualityPreImp = new BLQualityPre();

	public static BLQualityPreImp getBLQualityPreImp() {
		return bLQualityPreImp;
	}

	private static MscChemImp chemImp = new IMscChem();

	public static MscChemImp getChemImp() {
		return chemImp;
	}
}
